instal failing

Discussion in 'Installation/Configuration' started by fireba11, Jan 17, 2007.

  1. fireba11

    fireba11 Member HowtoForge Supporter

    trying to install i keep getthing the following output ...
    not it seems it's trying to localte the mysql socket at a completely wrong location . .where to override this ? (or symlink it to where) :-D

    or is it something completely different ?

    suggestions appreciated

     
  2. Ben

    Ben ISPConfig Developer ISPConfig Developer

    Well there are two lines where compile has problems to find the socketfile.
    For this I would take a look at ./compile --help in the php5 folder (or just unzip that manually to take a look), otherwise you always have to change the installroutine before you can update ispconfig in the future...

    But I'd say that the mysql-devel package is missing, cause it says that it can not find the headerfiles for mysql...
     
  3. fireba11

    fireba11 Member HowtoForge Supporter

    debian got no mysql-devel package of any kind .. at least i wasn't abel to find one

    could you be more precise about what i need to change to get it working ?
    am pretty much stumbling around in the dark here right now ...
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Which mysql version do you have installed?

    For mysql 4.0 install libmysqlclient12-dev, for 4.1 libmysqlclient14-dev and for mysql5 libmysqlclient15-dev

    you can install the pacakges with

    apt-get install [packagename]
     
  5. fireba11

    fireba11 Member HowtoForge Supporter

    thanks .. i found that out late at night yesterday :)

    there was no hint in the install guide or installer what was missing though, that could definitely be improved :)
     
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    Have a look at the perefct setup guides, they contain the instructions to install all services and software needed by ISPConfig.
     
  7. fireba11

    fireba11 Member HowtoForge Supporter

    those list a lot of packages needed with debian, however those do NOT list the mysqldev lib ... could be you only need it on etch
     
  8. falko

    falko Super Moderator ISPConfig Developer

    On Debian it's libmysqlclient[no]-dev.
     

Share This Page